diff -pruN 0.9.90-1/CMakeLists.txt 0.9.91-1/CMakeLists.txt
--- 0.9.90-1/CMakeLists.txt	2024-04-08 09:37:38.796678963 +0000
+++ 0.9.91-1/CMakeLists.txt	2024-04-29 17:09:32.723255176 +0000
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 0.9.90
+  VERSION 0.9.91
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
diff -pruN 0.9.90-1/ChangeLog 0.9.91-1/ChangeLog
--- 0.9.90-1/ChangeLog	2024-04-08 09:37:38.796678963 +0000
+++ 0.9.91-1/ChangeLog	2024-04-29 17:09:32.723255176 +0000
@@ -4,6 +4,16 @@ QjackCtl - JACK Audio Connection Kit Qt
 ChangeLog
 
 
+0.9.91  2024-05-01  A Spring'24 Release Candidate 2.
+
+- Prepping the unthinkable (aka. v1.0.0-rc2)
+
+- Graph: Introducing the View/Thumbview option as a whole graph
+  thumbnail overview helper.
+
+- Updated to latest framework level (Qt >= 6.7)
+
+
 0.9.90  2024-04-10  A Spring'24 Release Candidate.
 
 - Prepping the unthinkable (aka. v1.0.0-rc1)
diff -pruN 0.9.90-1/debian/changelog 0.9.91-1/debian/changelog
--- 0.9.90-1/debian/changelog	2024-04-19 15:40:44.000000000 +0000
+++ 0.9.91-1/debian/changelog	2024-06-15 15:22:33.000000000 +0000
@@ -1,3 +1,10 @@
+qjackctl (0.9.91-1) unstable; urgency=medium
+
+  * New upstream version 0.9.91
+  * Bump Standards-Version to 4.7.0
+
+ -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 17:22:33 +0200
+
 qjackctl (0.9.90-1) unstable; urgency=medium
 
   * New upstream version 0.9.90
diff -pruN 0.9.90-1/debian/control 0.9.91-1/debian/control
--- 0.9.90-1/debian/control	2023-09-17 19:42:53.000000000 +0000
+++ 0.9.91-1/debian/control	2024-06-14 19:38:51.000000000 +0000
@@ -17,7 +17,7 @@ Build-Depends:
  qt6-tools-dev,
  qt6-tools-dev-tools,
  libx11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://qjackctl.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
diff -pruN 0.9.90-1/src/appdata/org.rncbc.qjackctl.metainfo.xml 0.9.91-1/src/appdata/org.rncbc.qjackctl.metainfo.xml
--- 0.9.90-1/src/appdata/org.rncbc.qjackctl.metainfo.xml	2024-04-08 09:37:38.796678963 +0000
+++ 0.9.91-1/src/appdata/org.rncbc.qjackctl.metainfo.xml	2024-04-29 17:09:32.724255176 +0000
@@ -49,7 +49,7 @@
  <developer_name>rncbc aka. Rui Nuno Capela</developer_name>
  <update_contact>rncbc@rncbc.org</update_contact>
  <releases>
-  <release version="0.9.90" date="2024-04-10" urgency="low" />
+  <release version="0.9.91" date="2024-05-01" urgency="low" />
  </releases>
  <content_rating type="oars-1.0"/>
 </component>
diff -pruN 0.9.90-1/src/qjackctlGraph.cpp 0.9.91-1/src/qjackctlGraph.cpp
--- 0.9.90-1/src/qjackctlGraph.cpp	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraph.cpp	2024-04-29 17:09:32.729255176 +0000
@@ -53,6 +53,9 @@
 #include <QGestureEvent>
 #include <QPinchGesture>
 
+#include <QVBoxLayout>
+#include <QApplication>
+
 #include <algorithm>
 
 #include <cmath>
@@ -1270,9 +1273,12 @@ qjackctlGraphCanvas::qjackctlGraphCanvas
 	QGraphicsView::setResizeAnchor(QGraphicsView::NoAnchor);
 	QGraphicsView::setDragMode(QGraphicsView::NoDrag);
 
-	const QPalette& pal = QGraphicsView::palette();
-	if (pal.base().color().value() > 192)
-		QGraphicsView::setBackgroundRole(QPalette::Mid);
+	QPalette pal = QGraphicsView::palette();
+	const QPalette::ColorRole role = QPalette::Window;
+	const QColor& color = pal.color(role);
+	pal.setColor(role, color.darker(120));
+	QGraphicsView::setPalette(pal);
+	QGraphicsView::setBackgroundRole(role);
 
 	m_editor = new QLineEdit(this);
 	m_editor->setFrame(false);
@@ -1570,13 +1576,20 @@ void qjackctlGraphCanvas::emitDisconnect
 }
 
 
-// Rename notifiers.
+// Rename notifier.
 void qjackctlGraphCanvas::emitRenamed ( qjackctlGraphItem *item, const QString& name )
 {
 	emit renamed(item, name);
 }
 
 
+// Other generic notifier.
+void qjackctlGraphCanvas::emitChanged (void)
+{
+	emit changed();
+}
+
+
 // Item finder (internal).
 qjackctlGraphItem *qjackctlGraphCanvas::itemAt ( const QPointF& pos ) const
 {
@@ -1900,6 +1913,7 @@ void qjackctlGraphCanvas::mouseReleaseEv
 			}
 			m_commands->push(
 				new qjackctlGraphMoveCommand(this, nodes, m_pos1, pos));
+			++nchanged;
 		}
 		// Close rubber-band lasso...
 		if (m_rubberband) {
@@ -2838,4 +2852,231 @@ QPointF qjackctlGraphCanvas::snapPos ( q
 }
 
 
+//----------------------------------------------------------------------------
+// qjackctlGraphThumb::View -- Thumb graphics scene/view.
+
+class qjackctlGraphThumb::View : public QGraphicsView
+{
+public:
+
+	// Constructor.
+	View(qjackctlGraphCanvas *canvas)
+		: QGraphicsView(canvas->viewport()),
+			m_canvas(canvas), m_drag_state(DragNone)
+	{
+		QGraphicsView::setInteractive(false);
+
+		QGraphicsView::setRenderHints(QPainter::Antialiasing);
+		QGraphicsView::setRenderHint(QPainter::SmoothPixmapTransform);
+
+		QGraphicsView::setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
+		QGraphicsView::setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
+
+		QPalette pal = m_canvas->palette();
+		const QPalette::ColorRole role
+			= m_canvas->backgroundRole();
+		const QColor& color = pal.color(role);
+		pal.setColor(role, color.darker(120));
+		QGraphicsView::setPalette(pal);
+		QGraphicsView::setBackgroundRole(role);
+
+		QGraphicsView::setScene(m_canvas->scene());
+	}
+
+protected:
+
+	// Compute the view(port) rectangle.
+	QRect viewRect() const
+	{
+		const QRect& vrect
+			= m_canvas->viewport()->rect();
+		const QRectF srect(
+			m_canvas->mapToScene(vrect.topLeft()),
+			m_canvas->mapToScene(vrect.bottomRight()));
+		return QGraphicsView::viewport()->rect().intersected(QRect(
+			QGraphicsView::mapFromScene(srect.topLeft()),
+			QGraphicsView::mapFromScene(srect.bottomRight())))
+			.adjusted(0, 0, -1, -1);
+	}
+
+	// View paint method.
+	void paintEvent(QPaintEvent *event)
+	{
+		QGraphicsView::paintEvent(event);
+
+		QPainter painter(QGraphicsView::viewport());
+	//	const QPalette& pal = QGraphicsView::palette();
+	//	painter.setPen(pal.midlight().color());
+		const QRect& vrect
+			= QGraphicsView::viewport()->rect();
+		const QRect& vrect2 = viewRect();
+		const QColor shade(0, 0, 0, 64);
+		QRect rect;
+		// top shade...
+		rect.setTopLeft(vrect.topLeft());
+		rect.setBottomRight(QPoint(vrect.right(), vrect2.top() - 1));
+		if (rect.isValid())
+			painter.fillRect(rect, shade);
+		// left shade...
+		rect.setTopLeft(QPoint(vrect.left(), vrect2.top()));
+		rect.setBottomRight(vrect2.bottomLeft());
+		if (rect.isValid())
+			painter.fillRect(rect, shade);
+		// right shade...
+		rect.setTopLeft(vrect2.topRight());
+		rect.setBottomRight(QPoint(vrect.right(), vrect2.bottom()));
+		if (rect.isValid())
+			painter.fillRect(rect, shade);
+		// bottom shade...
+		rect.setTopLeft(QPoint(vrect.left(), vrect2.bottom() + 1));
+		rect.setBottomRight(vrect.bottomRight());
+		if (rect.isValid())
+			painter.fillRect(rect, shade);
+	}
+
+	// Handle mouse events.
+	//
+	void mousePressEvent(QMouseEvent *event)
+	{
+		QGraphicsView::mousePressEvent(event);
+
+		if (event->button() == Qt::LeftButton) {
+			m_drag_pos = event->pos();
+			m_drag_state = DragStart;
+		}
+	}
+
+	void mouseMoveEvent(QMouseEvent *event)
+	{
+		QGraphicsView::mouseMoveEvent(event);
+
+		if (m_drag_state == DragStart
+			&& (event->pos() - m_drag_pos).manhattanLength()
+				> QApplication::startDragDistance()) {
+			m_drag_state = DragMove;
+		}
+
+		if (m_drag_state == DragMove) {
+			m_canvas->centerOn(
+				QGraphicsView::mapToScene(event->pos()));
+		}
+	}
+
+	void mouseReleaseEvent(QMouseEvent *event)
+	{
+		QGraphicsView::mouseReleaseEvent(event);
+
+		if (m_drag_state != DragNone) {
+			m_canvas->centerOn(
+				QGraphicsView::mapToScene(event->pos()));
+			m_drag_state = DragNone;
+		}
+	}
+
+	void wheelEvent(QWheelEvent *) {} // Ignore wheel events.
+
+private:
+
+	// Instance members.
+	qjackctlGraphCanvas *m_canvas;
+
+	enum { DragNone = 0, DragStart, DragMove } m_drag_state;
+
+	QPoint m_drag_pos;
+};
+
+
+//----------------------------------------------------------------------------
+// qjackctlGraphThumb -- Thumb graphics scene/view.
+
+// Constructor.
+qjackctlGraphThumb::qjackctlGraphThumb ( qjackctlGraphCanvas *canvas, Position position )
+	: QFrame(canvas), m_canvas(canvas), m_position(position), m_view(nullptr)
+{
+	m_view = new View(m_canvas);
+
+	QVBoxLayout *layout = new QVBoxLayout();
+	layout->setSpacing(0);
+	layout->setContentsMargins(0, 0, 0, 0);
+	layout->addWidget(m_view);
+	QFrame::setLayout(layout);
+
+	QFrame::setFrameStyle(QFrame::Panel);
+	QFrame::setForegroundRole(QPalette::Window);
+
+	QObject::connect(m_canvas->horizontalScrollBar(),
+		SIGNAL(valueChanged(int)), SLOT(updateView()));
+	QObject::connect(m_canvas->verticalScrollBar(),
+		SIGNAL(valueChanged(int)), SLOT(updateView()));
+}
+
+
+// Destructor.
+qjackctlGraphThumb::~qjackctlGraphThumb (void)
+{
+}
+
+
+// Accessors.
+qjackctlGraphCanvas *qjackctlGraphThumb::canvas (void) const
+{
+	return m_canvas;
+}
+
+
+void qjackctlGraphThumb::setPosition ( Position position )
+{
+	m_position = position;
+
+	updatePosition();
+}
+
+
+qjackctlGraphThumb::Position qjackctlGraphThumb::position (void) const
+{
+	return m_position;
+}
+
+
+// Update view.
+void qjackctlGraphThumb::updatePosition (void)
+{
+	const QRect& rect = m_canvas->viewport()->rect();
+	const int w = rect.width()  / 4;
+	const int h = rect.height() / 4;
+	QFrame:setFixedSize(w + 1, h + 1); // 1px slack.
+
+	switch (m_position) {
+	case TopLeft:
+		QFrame::move(0, 0);
+		break;
+	case TopRight:
+		QFrame::move(rect.width() - w, 0);
+		break;
+	case BottomLeft:
+		QFrame::move(0, rect.height() - h);
+		break;
+	case BottomRight:
+		QFrame::move(rect.width() - w, rect.height() - h);
+		break;
+	case None:
+	default:
+		break;
+	}
+}
+
+
+// Update view.
+void qjackctlGraphThumb::updateView (void)
+{
+	updatePosition();
+
+	const qreal m = 24.0;
+	m_view->fitInView(
+		m_canvas->scene()->itemsBoundingRect()
+			.marginsAdded(QMarginsF(m, m, m, m)),
+		Qt::KeepAspectRatio);
+}
+
+
 // end of qjackctlGraph.cpp
diff -pruN 0.9.90-1/src/qjackctlGraph.h 0.9.91-1/src/qjackctlGraph.h
--- 0.9.90-1/src/qjackctlGraph.h	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraph.h	2024-04-29 17:09:32.729255176 +0000
@@ -26,6 +26,8 @@
 
 #include <QGraphicsPathItem>
 
+#include <QFrame>
+
 #include <QColor>
 #include <QIcon>
 
@@ -514,9 +516,12 @@ public:
 	void emitConnected(qjackctlGraphPort *port1, qjackctlGraphPort *port2);
 	void emitDisconnected(qjackctlGraphPort *port1, qjackctlGraphPort *port2);
 
-	// Rename notifiers.
+	// Rename notifier.
 	void emitRenamed(qjackctlGraphItem *item, const QString& name);
 
+	// Other generic notifier.
+	void emitChanged();
+
 	// Graph canvas state methods.
 	bool restoreState();
 	bool saveState() const;
@@ -737,6 +742,52 @@ private:
 };
 
 
+//----------------------------------------------------------------------------
+// qjackctlGraphThumb -- Thumb graphics scene/view.
+
+class qjackctlGraphThumb : public QFrame
+{
+	Q_OBJECT
+
+public:
+
+	// Corner position.
+	enum Position { None = 0, TopLeft, TopRight, BottomLeft, BottomRight };
+
+	// Constructor.
+	qjackctlGraphThumb(qjackctlGraphCanvas *canvas, Position position = BottomLeft);
+
+	// Destructor.
+	~qjackctlGraphThumb();
+
+	// Accessors.
+	qjackctlGraphCanvas *canvas() const;
+
+	void setPosition(Position position);
+	Position position() const;
+
+public slots:
+
+	// Update view slot.
+	void updateView();
+
+protected:
+
+	// Update position.
+	void updatePosition();
+
+	// Forward decl.
+	class View;
+
+private:
+
+	// Inatance members.
+	qjackctlGraphCanvas *m_canvas;
+	Position m_position;
+	View *m_view;
+};
+
+
 #endif  // __qjackctlGraph_h
 
 // end of qjackctlGraph.h
diff -pruN 0.9.90-1/src/qjackctlGraphCommand.cpp 0.9.91-1/src/qjackctlGraphCommand.cpp
--- 0.9.90-1/src/qjackctlGraphCommand.cpp	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraphCommand.cpp	2024-04-29 17:09:32.729255176 +0000
@@ -1,7 +1,7 @@
 // qjackctlGraphCommand.cpp
 //
 /****************************************************************************
-   Copyright (C) 2003-2023, rncbc aka Rui Nuno Capela. All rights reserved.
+   Copyright (C) 2003-2024, rncbc aka Rui Nuno Capela. All rights reserved.
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
@@ -201,6 +201,7 @@ bool qjackctlGraphMoveCommand::execute (
 		}
 	}
 
+	canvas->emitChanged();
 	return true;
 }
 
diff -pruN 0.9.90-1/src/qjackctlGraphCommand.h 0.9.91-1/src/qjackctlGraphCommand.h
--- 0.9.90-1/src/qjackctlGraphCommand.h	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraphCommand.h	2024-04-29 17:09:32.729255176 +0000
@@ -1,7 +1,7 @@
 // qjackctlGraphCommand.h
 //
 /****************************************************************************
-   Copyright (C) 2003-2023, rncbc aka Rui Nuno Capela. All rights reserved.
+   Copyright (C) 2003-2024, rncbc aka Rui Nuno Capela. All rights reserved.
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
diff -pruN 0.9.90-1/src/qjackctlGraphForm.cpp 0.9.91-1/src/qjackctlGraphForm.cpp
--- 0.9.90-1/src/qjackctlGraphForm.cpp	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraphForm.cpp	2024-04-29 17:09:32.729255176 +0000
@@ -94,6 +94,9 @@ qjackctlGraphForm::qjackctlGraphForm (
 
 	m_repel_overlapping_nodes = 0;
 
+	m_thumb = nullptr;
+	m_thumb_update = 0;
+
 	QUndoStack *commands = m_ui.graphCanvas->commands();
 
 	QAction *undo_action = commands->createUndoAction(this, tr("&Undo"));
@@ -184,7 +187,7 @@ qjackctlGraphForm::qjackctlGraphForm (
 
 	QObject::connect(m_ui.graphCanvas,
 		SIGNAL(changed()),
-		SLOT(stabilize()));
+		SLOT(changed()));
 
 	// Some actions surely need those
 	// shortcuts firmly attached...
@@ -236,6 +239,36 @@ qjackctlGraphForm::qjackctlGraphForm (
 		SIGNAL(triggered(bool)),
 		SLOT(viewToolbar(bool)));
 
+	m_thumb_mode = new QActionGroup(this);
+	m_thumb_mode->setExclusive(true);
+	m_thumb_mode->addAction(m_ui.viewThumbviewTopLeftAction);
+	m_thumb_mode->addAction(m_ui.viewThumbviewTopRightAction);
+	m_thumb_mode->addAction(m_ui.viewThumbviewBottomLeftAction);
+	m_thumb_mode->addAction(m_ui.viewThumbviewBottomRightAction);
+	m_thumb_mode->addAction(m_ui.viewThumbviewNoneAction);
+
+	m_ui.viewThumbviewTopLeftAction->setData(qjackctlGraphThumb::TopLeft);
+	m_ui.viewThumbviewTopRightAction->setData(qjackctlGraphThumb::TopRight);
+	m_ui.viewThumbviewBottomLeftAction->setData(qjackctlGraphThumb::BottomLeft);
+	m_ui.viewThumbviewBottomRightAction->setData(qjackctlGraphThumb::BottomRight);
+	m_ui.viewThumbviewNoneAction->setData(qjackctlGraphThumb::None);
+
+	QObject::connect(m_ui.viewThumbviewTopLeftAction,
+		SIGNAL(triggered(bool)),
+		SLOT(viewThumbviewAction()));
+	QObject::connect(m_ui.viewThumbviewTopRightAction,
+		SIGNAL(triggered(bool)),
+		SLOT(viewThumbviewAction()));
+	QObject::connect(m_ui.viewThumbviewBottomLeftAction,
+		SIGNAL(triggered(bool)),
+		SLOT(viewThumbviewAction()));
+	QObject::connect(m_ui.viewThumbviewBottomRightAction,
+		SIGNAL(triggered(bool)),
+		SLOT(viewThumbviewAction()));
+	QObject::connect(m_ui.viewThumbviewNoneAction,
+		SIGNAL(triggered(bool)),
+		SLOT(viewThumbviewAction()));
+
 	QObject::connect(m_ui.viewTextBesideIconsAction,
 		SIGNAL(triggered(bool)),
 		SLOT(viewTextBesideIcons(bool)));
@@ -373,6 +406,11 @@ qjackctlGraphForm::qjackctlGraphForm (
 // Destructor.
 qjackctlGraphForm::~qjackctlGraphForm (void)
 {
+	if (m_thumb)
+		delete m_thumb;
+
+	delete m_thumb_mode;
+
 	delete m_sort_order;
 	delete m_sort_type;
 
@@ -410,6 +448,27 @@ void qjackctlGraphForm::setup ( qjackctl
 	m_ui.viewToolbarAction->setChecked(m_config->isToolbar());
 	m_ui.viewStatusbarAction->setChecked(m_config->isStatusbar());
 
+	const qjackctlGraphThumb::Position position
+		= qjackctlGraphThumb::Position(m_config->thumbview());
+	switch (position) {
+	case qjackctlGraphThumb::TopLeft:
+		m_ui.viewThumbviewTopLeftAction->setChecked(true);
+		break;
+	case qjackctlGraphThumb::TopRight:
+		m_ui.viewThumbviewTopRightAction->setChecked(true);
+		break;
+	case qjackctlGraphThumb::BottomLeft:
+		m_ui.viewThumbviewBottomLeftAction->setChecked(true);
+		break;
+	case qjackctlGraphThumb::BottomRight:
+		m_ui.viewThumbviewBottomRightAction->setChecked(true);
+		break;
+	case qjackctlGraphThumb::None:
+	default:
+		m_ui.viewThumbviewNoneAction->setChecked(true);
+		break;
+	}
+
 	m_ui.viewTextBesideIconsAction->setChecked(m_config->isTextBesideIcons());
 	m_ui.viewZoomRangeAction->setChecked(m_config->isZoomRange());
 	m_ui.viewRepelOverlappingNodesAction->setChecked(m_config->isRepelOverlappingNodes());
@@ -448,6 +507,8 @@ void qjackctlGraphForm::setup ( qjackctl
 	viewToolbar(m_config->isToolbar());
 	viewStatusbar(m_config->isStatusbar());
 
+	viewThumbview(m_config->thumbview());
+
 	viewTextBesideIcons(m_config->isTextBesideIcons());
 	viewZoomRange(m_config->isZoomRange());
 	viewRepelOverlappingNodes(m_config->isRepelOverlappingNodes());
@@ -472,21 +533,58 @@ void qjackctlGraphForm::setup ( qjackctl
 void qjackctlGraphForm::viewMenubar ( bool on )
 {
 	m_ui.MenuBar->setVisible(on);
+
+	++m_thumb_update;
 }
 
 
 void qjackctlGraphForm::viewToolbar ( bool on )
 {
 	m_ui.ToolBar->setVisible(on);
+
+	++m_thumb_update;
 }
 
 
 void qjackctlGraphForm::viewStatusbar ( bool on )
 {
 	m_ui.StatusBar->setVisible(on);
+
+	++m_thumb_update;
+}
+
+
+void qjackctlGraphForm::viewThumbviewAction (void)
+{
+	QAction *action = qobject_cast<QAction *> (sender());
+	if (action)
+		viewThumbview(action->data().toInt());
 }
 
 
+void qjackctlGraphForm::viewThumbview ( int thumbview )
+{
+	const qjackctlGraphThumb::Position position
+		= qjackctlGraphThumb::Position(thumbview);
+	if (position == qjackctlGraphThumb::None) {
+		if (m_thumb) {
+			m_thumb->hide();
+			delete m_thumb;
+			m_thumb = nullptr;
+			m_thumb_update = 0;
+		}
+	} else {
+		if (m_thumb) {
+			m_thumb->setPosition(position);
+		} else {
+			m_thumb = new qjackctlGraphThumb(m_ui.graphCanvas, position);
+			m_thumb->show();
+			++m_thumb_update;
+		}
+	}
+}
+ 
+ 
 void qjackctlGraphForm::viewTextBesideIcons ( bool on )
 {
 	if (on) {
@@ -494,6 +592,8 @@ void qjackctlGraphForm::viewTextBesideIc
 	} else {
 		m_ui.ToolBar->setToolButtonStyle(Qt::ToolButtonIconOnly);
 	}
+
+	++m_thumb_update;
 }
 
 
@@ -515,6 +615,8 @@ void qjackctlGraphForm::viewRefresh (voi
 	if (m_ui.graphCanvas->isRepelOverlappingNodes())
 		++m_repel_overlapping_nodes; // fake nodes added!
 
+	++m_thumb_update;
+
 	refresh();
 }
 
@@ -543,6 +645,8 @@ void qjackctlGraphForm::viewColorsAction
 		m_ui.graphCanvas->updatePortTypeColors(port_type);
 		updateViewColorsAction(action);
 	}
+
+	++m_thumb_update;
 }
 
 
@@ -775,6 +879,15 @@ void qjackctlGraphForm::renamed ( qjackc
 }
 
 
+// Graph view change slot.
+void qjackctlGraphForm::changed (void)
+{
+	++m_thumb_update;
+
+	stabilize();
+}
+
+
 // Graph section slots.
 void qjackctlGraphForm::jack_shutdown (void)
 {
@@ -831,6 +944,13 @@ void qjackctlGraphForm::refresh (void)
 		m_repel_overlapping_nodes = 0;
 		m_ui.graphCanvas->repelOverlappingNodesAll();
 		stabilize();
+		++nchanged;
+	}
+
+	if (m_thumb_update > 0 || nchanged > 0) {
+		m_thumb_update = 0;
+		if (m_thumb)
+			m_thumb->updateView();
 	}
 }
 
@@ -915,6 +1035,8 @@ void qjackctlGraphForm::resizeEvent ( QR
 {
 	QMainWindow::resizeEvent(pResizeEvent);
 
+	++m_thumb_update;
+
 	stabilize();
 }
 
@@ -947,6 +1069,7 @@ void qjackctlGraphForm::closeEvent ( QCl
 	m_ui.graphCanvas->saveState();
 
 	if (m_config && QMainWindow::isVisible()) {
+		m_config->setThumbview(m_thumb ? m_thumb->position() : qjackctlGraphThumb::None);
 		m_config->setConnectThroughNodes(m_ui.viewConnectThroughNodesAction->isChecked());
 		m_config->setRepelOverlappingNodes(m_ui.viewRepelOverlappingNodesAction->isChecked());
 		m_config->setSortOrder(int(qjackctlGraphPort::sortOrder()));
@@ -958,12 +1081,6 @@ void qjackctlGraphForm::closeEvent ( QCl
 		m_config->setMenubar(m_ui.MenuBar->isVisible());
 		m_config->saveState(this);
 	}
-	else
-	if (m_repel_overlapping_nodes > 0) {
-		m_repel_overlapping_nodes = 0;
-		m_ui.graphCanvas->repelOverlappingNodesAll();
-		stabilize();
-	}
 
 	QMainWindow::closeEvent(pCloseEvent);
 }
@@ -1040,6 +1157,7 @@ static const char *ViewGroup        = "/
 static const char *ViewMenubarKey   = "/Menubar";
 static const char *ViewToolbarKey   = "/Toolbar";
 static const char *ViewStatusbarKey = "/Statusbar";
+static const char *ViewThumbviewKey = "/Thumbview";
 static const char *ViewTextBesideIconsKey = "/TextBesideIcons";
 static const char *ViewZoomRangeKey = "/ZoomRange";
 static const char *ViewSortTypeKey  = "/SortType";
@@ -1052,7 +1170,7 @@ static const char *ViewConnectThroughNod
 qjackctlGraphConfig::qjackctlGraphConfig ( QSettings *settings )
 	: m_settings(settings), m_menubar(false),
 		m_toolbar(false), m_statusbar(false),
-		m_texticons(false), m_zoomrange(false),
+		m_thumbview(0), m_texticons(false), m_zoomrange(false),
 		m_sorttype(0), m_sortorder(0),
 		m_repelnodes(false), m_cthrunodes(false)
 {
@@ -1098,6 +1216,17 @@ bool qjackctlGraphConfig::isStatusbar (v
 }
 
 
+void qjackctlGraphConfig::setThumbview ( int thumbview )
+{
+	m_thumbview = thumbview;
+}
+
+int qjackctlGraphConfig::thumbview (void) const
+{
+	return m_thumbview;
+}
+
+
 void qjackctlGraphConfig::setTextBesideIcons ( bool texticons )
 {
 	m_texticons = texticons;
@@ -1176,6 +1305,7 @@ bool qjackctlGraphConfig::restoreState (
 	m_menubar = m_settings->value(ViewMenubarKey, true).toBool();
 	m_toolbar = m_settings->value(ViewToolbarKey, true).toBool();
 	m_statusbar = m_settings->value(ViewStatusbarKey, true).toBool();
+	m_thumbview = m_settings->value(ViewThumbviewKey, 0).toInt();
 	m_texticons = m_settings->value(ViewTextBesideIconsKey, true).toBool();
 	m_zoomrange = m_settings->value(ViewZoomRangeKey, false).toBool();
 	m_sorttype  = m_settings->value(ViewSortTypeKey, 0).toInt();
@@ -1205,6 +1335,7 @@ bool qjackctlGraphConfig::saveState ( QM
 	m_settings->setValue(ViewMenubarKey, m_menubar);
 	m_settings->setValue(ViewToolbarKey, m_toolbar);
 	m_settings->setValue(ViewStatusbarKey, m_statusbar);
+	m_settings->setValue(ViewThumbviewKey, m_thumbview);
 	m_settings->setValue(ViewTextBesideIconsKey, m_texticons);
 	m_settings->setValue(ViewZoomRangeKey, m_zoomrange);
 	m_settings->setValue(ViewSortTypeKey, m_sorttype);
diff -pruN 0.9.90-1/src/qjackctlGraphForm.h 0.9.91-1/src/qjackctlGraphForm.h
--- 0.9.90-1/src/qjackctlGraphForm.h	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraphForm.h	2024-04-29 17:09:32.729255176 +0000
@@ -34,6 +34,7 @@ class qjackctlJackGraph;
 
 class qjackctlGraphPort;
 class qjackctlGraphConnect;
+class qjackctlGraphThumb;
 
 class qjackctlSetup;
 
@@ -71,6 +72,9 @@ public:
 
 public slots:
 
+	// Graph view change slot.
+	void changed();
+
 	// Graph section slots.
 	void jack_shutdown();
 	void jack_changed();
@@ -106,6 +110,9 @@ protected slots:
 	void viewToolbar(bool on);
 	void viewStatusbar(bool on);
 
+	void viewThumbviewAction();
+	void viewThumbview(int thumbview);
+
 	void viewTextBesideIcons(bool on);
 
 	void viewCenter();
@@ -171,6 +178,10 @@ private:
 
 	QActionGroup *m_sort_type;
 	QActionGroup *m_sort_order;
+
+	QActionGroup *m_thumb_mode;
+	qjackctlGraphThumb *m_thumb;
+	int m_thumb_update;
 };
 
 
@@ -196,6 +207,9 @@ public:
 	void setStatusbar(bool statusbar);
 	bool isStatusbar() const;
 
+	void setThumbview(int thumbview);
+	int thumbview() const;
+
 	void setTextBesideIcons(bool texticons);
 	bool isTextBesideIcons() const;
 
@@ -226,6 +240,7 @@ private:
 	bool       m_menubar;
 	bool       m_toolbar;
 	bool       m_statusbar;
+	int        m_thumbview;
 	bool       m_texticons;
 	bool       m_zoomrange;
 	int        m_sorttype;
diff -pruN 0.9.90-1/src/qjackctlGraphForm.ui 0.9.91-1/src/qjackctlGraphForm.ui
--- 0.9.90-1/src/qjackctlGraphForm.ui	2024-04-08 09:37:38.802678963 +0000
+++ 0.9.91-1/src/qjackctlGraphForm.ui	2024-04-29 17:09:32.729255176 +0000
@@ -81,6 +81,17 @@
     <property name="title">
      <string>&amp;View</string>
     </property>
+    <widget class="QMenu" name="viewThumbviewMenu">
+     <property name="title">
+      <string>T&amp;humbview</string>
+     </property>
+     <addaction name="viewThumbviewTopLeftAction"/>
+     <addaction name="viewThumbviewTopRightAction"/>
+     <addaction name="viewThumbviewBottomLeftAction"/>
+     <addaction name="viewThumbviewBottomRightAction"/>
+     <addaction name="separator"/>
+     <addaction name="viewThumbviewNoneAction"/>
+    </widget>
     <widget class="QMenu" name="viewZoomMenu">
      <property name="title">
       <string>&amp;Zoom</string>
@@ -118,8 +129,10 @@
      <addaction name="viewSortDescendingAction"/>
     </widget>
     <addaction name="viewMenubarAction"/>
-    <addaction name="viewStatusbarAction"/>
     <addaction name="viewToolbarAction"/>
+    <addaction name="viewStatusbarAction"/>
+    <addaction name="separator"/>
+    <addaction name="viewThumbviewMenu"/>
     <addaction name="separator"/>
     <addaction name="viewTextBesideIconsAction"/>
     <addaction name="viewColorsMenu"/>
@@ -362,6 +375,106 @@
    </property>
    <property name="shortcut">
     <string/>
+   </property>
+  </action>
+  <action name="viewThumbviewTopLeftAction">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Top Left</string>
+   </property>
+   <property name="iconText">
+    <string>Top left</string>
+   </property>
+   <property name="toolTip">
+    <string>Top left</string>
+   </property>
+   <property name="statusTip">
+    <string>Show the thumbnail overview on the top-left</string>
+   </property>
+   <property name="shortcut">
+    <string/>
+   </property>
+  </action>
+  <action name="viewThumbviewTopRightAction">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>Top &amp;Right</string>
+   </property>
+   <property name="iconText">
+    <string>Top right</string>
+   </property>
+   <property name="toolTip">
+    <string>Top right</string>
+   </property>
+   <property name="statusTip">
+    <string>Show the thumbnail overview on the top-right</string>
+   </property>
+   <property name="shortcut">
+    <string/>
+   </property>
+  </action>
+  <action name="viewThumbviewBottomLeftAction">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>Bottom &amp;Left</string>
+   </property>
+   <property name="iconText">
+    <string>Bottom Left</string>
+   </property>
+   <property name="toolTip">
+    <string>Bottom left</string>
+   </property>
+   <property name="statusTip">
+    <string>Show the thumbnail overview on the bottom-left</string>
+   </property>
+   <property name="shortcut">
+    <string/>
+   </property>
+  </action>
+  <action name="viewThumbviewBottomRightAction">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Bottom Right</string>
+   </property>
+   <property name="iconText">
+    <string>Bottom right</string>
+   </property>
+   <property name="toolTip">
+    <string>Bottom right</string>
+   </property>
+   <property name="statusTip">
+    <string>Show the thumbnail overview on the bottom-right</string>
+   </property>
+   <property name="shortcut">
+    <string/>
+   </property>
+  </action>
+  <action name="viewThumbviewNoneAction">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>&amp;None</string>
+   </property>
+   <property name="iconText">
+    <string>None</string>
+   </property>
+   <property name="toolTip">
+    <string>Hide thumbview</string>
+   </property>
+   <property name="statusTip">
+    <string>Hide the thumbnail overview</string>
+   </property>
+   <property name="shortcut">
+    <string/>
    </property>
   </action>
   <action name="viewTextBesideIconsAction">
diff -pruN 0.9.90-1/src/translations/qjackctl_cs.ts 0.9.91-1/src/translations/qjackctl_cs.ts
--- 0.9.90-1/src/translations/qjackctl_cs.ts	2024-04-08 09:37:38.806678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_cs.ts	2024-04-29 17:09:32.733255176 +0000
@@ -115,7 +115,7 @@
         <translation>Přesunout</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Přejmenovat</translation>
     </message>
@@ -479,13 +479,13 @@ Jste si jistý?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Spojit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Rozpojit</translation>
     </message>
@@ -513,608 +513,701 @@ Jste si jistý?</translation>
         <translation>&amp;Pohled</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>&amp;Barvy</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>Ř&amp;adit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Nápověda</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Spojení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Spojit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Spojit vybrané přípojky</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Rozpojit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Rozpojit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Rozpojit vybrané přípojky</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation>Ctrl+C</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation>Ctrl+D</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>&amp;Zavřít</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Zavřít</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Zavřít okno tohoto programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Vybrat &amp;vše</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Vybrat vše</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Nevybrat &amp;nic</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Nevybrat nic</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Obrátit &amp;výběr</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Obrátit výběr</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Přejmenovat...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Přejmenovat položku</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Přejmenovat položku</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Pruh s &amp;nabídkou</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Pruh s nabídkou</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Ukázat/Skrýt hlavní okno programu s nabídkovým pruhem</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Pruh s &amp;nástroji</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Pruh s nástroji</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Ukázat/Skrýt hlavní okno programu s nástrojovým pruhem</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>&amp;Stavový řádek</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Stavový řádek</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Ukázat/Skrýt stavový řádek hlavního okna programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Žádný</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Text &amp;vedle ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Text vedle ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Ukázat/Skrýt text vedle ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Vystředit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Vystředit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Vystředit pohled</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Obnovit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Obnovit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Obnovit pohled</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>&amp;Přiblížit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Přiblížit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>&amp;Oddálit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Oddálit</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>&amp;Přizpůsobit zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Přizpůsobit zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>&amp;Vrátit zvětšení na výchozí</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Vrátit zvětšení na výchozí</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>Rozsah &amp;zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Rozsah zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;Audio...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>Barva JACK Audio</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>Barva JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>Barva ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>Barva JACK CV</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>Barva JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Obnovit výchozí</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Obnovit výchozí barvy</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>&amp;Název přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Název přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Řadit podle názvu přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp;Titulek přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Titulek přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Řadit podle titulku přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>Čí&amp;slo přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Číslo přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Řadit podle čísla přípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>&amp;Vzestupně</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Vzestupně</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Vzestupné pořadí řazení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;Sestupně</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Sestupně</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Sestupné pořadí řazení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Zamítnout &amp;překrývající se uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Zamítnout uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Zamítnout překrývající se uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>Připojit &amp;přes uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>Připojit přes uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>Připojit přes uzly</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Zda kreslit konektory skrz nebo kolem uzlů</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;O programu...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>O programu...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>O programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Ukázat informace o tomto programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>O &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>O Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>O Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Ukázat informace o sadě nástrojů prostředí Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Zpět</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Znovu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Vrátit poslední úpravu zpět</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Provést poslední úpravu znovu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Zvětšení</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Připraven</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Barvy - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_de.ts 0.9.91-1/src/translations/qjackctl_de.ts
--- 0.9.90-1/src/translations/qjackctl_de.ts	2024-04-08 09:37:38.807678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_de.ts	2024-04-29 17:09:32.733255176 +0000
@@ -115,7 +115,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation type="unfinished"></translation>
     </message>
@@ -478,13 +478,13 @@ Sind Sie sicher?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation type="unfinished"></translation>
     </message>
@@ -512,608 +512,701 @@ Sind Sie sicher?</translation>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation type="unfinished">&amp;Trennen</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Keiner</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation type="unfinished">&amp;Zurücksetzen</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation type="unfinished">Über Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_es.ts 0.9.91-1/src/translations/qjackctl_es.ts
--- 0.9.90-1/src/translations/qjackctl_es.ts	2024-04-08 09:37:38.807678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_es.ts	2024-04-29 17:09:32.734255176 +0000
@@ -115,7 +115,7 @@
         <translation>Mover</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Renombrar</translation>
     </message>
@@ -478,13 +478,13 @@ Está seguro?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Desconectar</translation>
     </message>
@@ -512,608 +512,701 @@ Está seguro?</translation>
         <translation>&amp;Ver</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>Co&amp;lores</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>&amp;Ordenar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>A&amp;yuda</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Conectar puertos seleccionados</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Desconectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Desconectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Desconectar puertos seleccionados</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation>Ctrl+C</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation>Ctrl+D</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>C&amp;errar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Cerrar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Cerrar esta ventana de aplicación</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Seleccion&amp;ar Todo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Seleccionar Todo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>No Seleccionar &amp;Ninguno</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>No Seleccionar Ninguno</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Seleccionar &amp;Invertir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Seleccionar Invertir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Renombrar...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Renombrar ítem</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Renombrar ítem</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Barra &amp;Menú</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Barra Menú</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Muestra/oculta la barra de menú de la ventana principal</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Barra Herramien&amp;tas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Barra herramientas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Muestra/oculta la barra de herramientas de la ventana principal</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>Barra E&amp;stado</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Barra Estado</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Muestra/oculta la barra de estado de la ventana principal</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Ninguno</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Texto Junto a &amp;Iconos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Texto junto a iconos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Muestra/oculta texto junto a iconos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Vista centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Refrescar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Refrescar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Refrescar vista</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>Zoom &amp;In</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Zoom In</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>Zoom &amp;Out</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Zoom Out</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Zoom Enca&amp;jar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Zoom Encajar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Zoom &amp;Resetear</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Zoom Resetear</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>&amp;Zoom Rango</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Zoom Rango</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;Audio...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>JACK Audio color</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>JACK MIDI color</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>ALSA MIDI color</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>JACK CV color</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>JACK OSC color</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Resetear</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Resetear colores</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>&amp;Nombre Puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Nombre puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Ordenar por nombre puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp;Título Puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Título puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Ordenar por título puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>&amp;Índice Puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Índice puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Ordenar por índice puerto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>&amp;Ascendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Ascendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Ordenar por orden ascendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;Descendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Descendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Ordenar por orden descendiente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Repeler Nodos S&amp;uperpuestos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Repeler nodos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Repeler nodos superpuestos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>Conectar a Tra&amp;vés de Nodos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>Conectar a Través de Nodos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>Conectar a través de nodos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Trazar conectores a través de o alrededor de nodos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;Acerca de...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>Acerca de...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>Acerca de</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Muestra información sobre esta aplicación</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>Acerca de &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Acerca de Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Acerca de Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Muestra información sobre las herramientas Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>Des&amp;hacer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Rehacer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Deshacer última acción edición</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Rehacer última acción edición</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Preparado</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Colores - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_fr.ts 0.9.91-1/src/translations/qjackctl_fr.ts
--- 0.9.90-1/src/translations/qjackctl_fr.ts	2024-04-08 09:37:38.808678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_fr.ts	2024-04-29 17:09:32.735255176 +0000
@@ -115,7 +115,7 @@
         <translation>Déplacer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Renommer</translation>
     </message>
@@ -479,13 +479,13 @@ Êtes-vous certain ?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Connecter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Déconnecter</translation>
     </message>
@@ -513,608 +513,701 @@ Êtes-vous certain ?</translation>
         <translation>&amp;Affichage</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>Cou&amp;leurs</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>&amp;Trier</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Aide</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Connecter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Connecter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Connecter les ports sélectionnés</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Déconnecter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Déconnecter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Déconnecter les ports sélectionnés</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation>&amp;Vue d&apos;ensemble</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>&amp;Fermer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Fermer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Fermer cette fenêtre d&apos;application</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>&amp;Tout sélectionner</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Tout sélectionner</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Ne &amp;rien sélectionner</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Ne rien sélectionner</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Sélection &amp;inversée</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Sélection inversée</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Renommer…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Renommer l&apos;élément</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Renommer l&apos;élément</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Barre de &amp;menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Barre de menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Afficher/cacher la barre de menu de la fenêtre principale du programme</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Barre d&apos;ou&amp;tils</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Barre d&apos;outils</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Afficher/cacher la barre d&apos;&apos;outils du fichier de la fenêtre principale du programme</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>Barre de &amp;status</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Barre de status</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Afficher/cacher la barre de status de la fenêtre principale du programme</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation>Hau&amp;t gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation>Haut gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation>Afficher l&apos;aperçu des vignettes en haut à gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation>Haut d&amp;roit</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation>Haut droit</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation>Afficher l&apos;aperçu des vignettes en haut à droite</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation>Bas gauc&amp;he</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation>Bas gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation>Bas gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation>Afficher l&apos;aperçu des vignettes en bas à gauche</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation>&amp;Bas droite</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation>Bas droite</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation>Afficher l&apos;aperçu des vignettes en bas à droite</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation>Aucu&amp;n</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation>Aucun</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation>Cacher l&apos;affichage des vignettes</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation>Masquer l&apos;aperçu des vignettes</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Texte derrière les &amp;icônes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Texte derrière les icônes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Afficher/cacher le texte derrière les icônes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Centre</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Centre</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Affichage centré</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Rafraîchir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Rafraîchir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Rafraîchir l&apos;affichage</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>Zoom a&amp;vant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Zoom avant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>Zoom a&amp;rrière</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Zoom arrière</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Zoom &amp;ajusté</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Zoom ajusté</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>&amp;Réinitialiser le zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Réinitialiser le zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>Gamme de &amp;zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Gamme de zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;audio…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>Couleur JACK audio</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>Couleur JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>Couleur ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>Couleur JACK CV</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>Couleur JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Réinitialiser</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Réinitialiser les couleurs</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>&amp;Nom de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Nom de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Trier par nom de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp;Titre de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Titre de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Trier par titre de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>&amp;Index de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Index de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Trier par index de port</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>&amp;Ascendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Ascendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Ordre de tri ascendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;Descendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Descendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Ordre de tri descendant</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Repousser les nœuds qui se che&amp;vauchent</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Repousser les nœuds</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Repousser les nœuds qui se chevauchent</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>Connexion par les nœ&amp;uds</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>Connexion par les nœuds</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>Connexion par les nœuds</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Si les connecteurs doivent être dessinés à travers ou autour des nœuds</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>À &amp;propos…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>À propos…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>À propos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Afficher les informations à propos de ce programme applicatif</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>À propos de &amp;Qt…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>À propos de Qt…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>À propos de Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Afficher les informations à propos de la boîte à outils Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Défaire</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Refaire</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Défaire la dernière action d&apos;édition</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Refaire la dernière action d&apos;édition</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Prêt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Couleurs - %1</translation>
     </message>
@@ -2411,7 +2504,7 @@ Voulez-vous enlever la connexion de la b
     <message>
         <location filename="../qjackctlPaletteForm.cpp" line="258"/>
         <source>Save Palette - %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Sauvegarder la palette - %1</translation>
     </message>
     <message>
         <location filename="../qjackctlPaletteForm.cpp" line="261"/>
@@ -4574,7 +4667,7 @@ Voulez-vous appliquer les changements ?<
     <message>
         <location filename="../qjackctlSetupForm.ui" line="3793"/>
         <source>Start minimi&amp;zed to system tray</source>
-        <translation>Démarrer minimisé dans la zone de notifications (&amp;z)</translation>
+        <translation>Démarrer minimisé dans la &amp;zone de notifications</translation>
     </message>
     <message>
         <location filename="../qjackctlSetupForm.ui" line="3917"/>
diff -pruN 0.9.90-1/src/translations/qjackctl_it.ts 0.9.91-1/src/translations/qjackctl_it.ts
--- 0.9.90-1/src/translations/qjackctl_it.ts	2024-04-08 09:37:38.808678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_it.ts	2024-04-29 17:09:32.735255176 +0000
@@ -115,7 +115,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation type="unfinished"></translation>
     </message>
@@ -488,13 +488,13 @@ Sei sicuro?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Connetti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Disconnetti</translation>
     </message>
@@ -522,608 +522,701 @@ Sei sicuro?</translation>
         <translation>&amp;Visualizza</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Aiuto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Connetti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Connetti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Connetti le porte selezionate</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Disconnetti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Disconnetti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Disconnetti le porte selezionate</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Seleziona &amp;tutto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Seleziona tutto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Non selezionare &amp;nulla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Non selezionare nulla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Selezione &amp;inversa</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Selezione inversa</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Barra del &amp;menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Barra del menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Mostra/nascondi la barra del menu della finestra principale del programma</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Barra degli s&amp;trumenti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Barra degli strumenti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Mostra/nascondi la barra degli strumenti della finestra principale del programma</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>Barra di &amp;stato</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Barra di stato</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Mostra/nascondi la barra di stato della finestra principale del programma</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Nessuno</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Testo dietro le &amp;icone</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Testo dietro le icone</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Mostra/nasconi testo dietro le icone</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Visualizzazione centrata</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Aggiorna</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Aggiorna</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Aggiorna la visualizzazione</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>&amp;Ingrandisci</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Ingrandisci</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>Rim&amp;picciolisci</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Rimpicciolisci</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>&amp;Adatta zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Adatta zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>&amp;Ripristina zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Ripristina zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation type="unfinished">&amp;Reset</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;Info...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>Info...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>Info</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Mostra informazioni a proposito di questo programma applicativo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>Info su &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Info su Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Info su Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Mostra informazioni a proposito del kit di strumenti Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Annulla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Ripeti</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Pronto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_ja.ts 0.9.91-1/src/translations/qjackctl_ja.ts
--- 0.9.90-1/src/translations/qjackctl_ja.ts	2024-04-08 09:37:38.808678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_ja.ts	2024-04-29 17:09:32.735255176 +0000
@@ -115,7 +115,7 @@
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation></translation>
     </message>
@@ -479,13 +479,13 @@ よろしいですか?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>接続</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>切断</translation>
     </message>
@@ -513,608 +513,701 @@ よろしいですか?</translation>
         <translation>表示(&amp;V)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>拡大/縮小(&amp;Z)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>色(&amp;L)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>並べ替え(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>ヘルプ(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>接続(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>接続</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>選択したポートを接続します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>切断(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>切断</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>選択したポートを切断します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>閉じる(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>閉じる</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>このウィンドウを終了します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>全て選択(&amp;A)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>すべて選択します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>選択の解除(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>選択を解除します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>選択の反転(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>選択を反転します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>アイテム名の変更(&amp;R)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>アイテム名を変更します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>アイテム名の変更</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>メニューバー(&amp;M)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>メニューバー</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>メインプログラムウィンドウのメニューバーの表示を切り替えます</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>ツールバー(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>ツールバー</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>メインプログラムウィンドウのツールバーの表示を切り替えます</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>ステータスバー(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>ステータスバー</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>メインプログラムウィンドウのステータスバーを表示したり隠したりします</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>アイコンテキストの表示(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>アイコンテキストの表示</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>アイコンテキストを表示したり隠したりします</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>中央寄せ(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>中央寄せ</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>中央寄せします</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>更新(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>更新</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>ビューを更新します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>拡大(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>拡大</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>縮小(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>縮小</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>ウィンドウに合わせる(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>ウィンドウに合わせる</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>表示のリセット(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>表示リセット</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>選択範囲の拡大(&amp;Z)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>選択範囲を拡大します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK Audio (&amp;A)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>JACK Audioの色</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK MIDI (&amp;M)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>JACK MIDIの色</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>ALSA MIDIの色</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK CV (&amp;C)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>JACK CVの色</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK OSC(&amp;O)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>JACK OSCの色</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>リセット(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>配色のリセット</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>ポート名(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>ポート名</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>ポート名で並べ替え</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>ポートタイトル(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>ポートタイトル</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>ポートタイトルで並べ替え</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>ポートインデックス(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>ポートインデックス</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>ポートインデックスで並べ替え</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>昇順(&amp;A)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>昇順で並べ替え</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>昇順で並べ替えます</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>降順(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>降順で並べ替え</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>降順で並べ替えます</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>qjackctlについて(&amp;A)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>QjackCtlについて...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>QjackCtlについて</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>このアプリケーションプログラムについての情報を表示します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>Qtについて(&amp;Q)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Qtについて...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Qtについて</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Qtツールキットについての情報を表示します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>元に戻す(&amp;U)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>やり直す(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>直前の作業を取り消します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>取り消した作業をやり直します</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>拡大率</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>準備できました</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>色 - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_ko.ts 0.9.91-1/src/translations/qjackctl_ko.ts
--- 0.9.90-1/src/translations/qjackctl_ko.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_ko.ts	2024-04-29 17:09:32.736255176 +0000
@@ -115,7 +115,7 @@
         <translation>이동</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>이름변경</translation>
     </message>
@@ -479,13 +479,13 @@ 확실하신가요?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>연결하기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>연결해제</translation>
     </message>
@@ -513,608 +513,701 @@ 확실하신가요?</translation>
         <translation>보기(&amp;V)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>확대/축소(&amp;Z)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>색상(&amp;L)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>정렬(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>도움말(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>연결하기(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>연결하기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>선택한 포트 연결하기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>연결해제(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>연결해제</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>선택한 포트 연결해제</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>닫기(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>닫기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>이 응용프로그램 창 닫기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>모두 선택(&amp;A)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>모두 선택</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>없음 선택(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>없음 선택</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>반전 선택(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>반전 선택</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>이름변경(&amp;R)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>항목 이름변경</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>항목 이름변경</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>메뉴모음(&amp;M)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>메뉴모음</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>기본 프로그램 창 메뉴모음 표시/숨김</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>도구모음(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>도구모음</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>기본 프로그램 창 파일 도구모음 표시/숨김</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>상태 표시줄(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>상태 표시줄</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>기본 프로그램 창 상태 표시줄 표시/숨김</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">없음</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>아이콘 옆에 텍스트(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>아이콘 옆에 텍스트</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>아이콘 옆에 텍스트 표시/숨김</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>중앙(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>중앙</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>중앙 보기</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>새로 고침(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>새로 고침</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>보기 새로 고침</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>확대(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>확대</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>축소(&amp;O)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>축소</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>창에 맞춤(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>창에 맞춤</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>확대/축소 재설정(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>확대/축소 재설정</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>확대/축소 범위(&amp;Z)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>확대/축소 범위</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK Audio(&amp;A)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>JACK 오디오 색상</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK MIDI(&amp;M)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>JACK MIDI 색상</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>ALSA MIDI 색상</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK CV(&amp;C)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>JACK CV 색상</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK OSC(&amp;O)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>JACK OSC 색상</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>재설정(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>색상 재설정</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>포트 이름(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>포트 이름</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>포트 이름으로 정렬</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>포트 제목(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>포트 제목</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>포트 제목으로 정렬</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>포트 인덱스(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>포트 인덱스</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>포트 인덱스로 정렬</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>오름차순(&amp;A)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>오름차순</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>오름차순 정렬</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>내림차순(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>내림차순</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>내림차순 정렬</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>QjackCtl 정보(&amp;A)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>QjackCtl 정보...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>QjackCtl 정보</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>이 응용프로그램에 대한 정보 표시</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>Qt 정보(&amp;Q)...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Qt 정보...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Qt 정보</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Qt 툴킷에 대한 정보 표시</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>실행 취소(&amp;U)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>다시 실행(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>마지막 편집 작업 실행 취소</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>마지막 편집 작업 다시 실행</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>확대/축소</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>준비 완료</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>색상 - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_nl.ts 0.9.91-1/src/translations/qjackctl_nl.ts
--- 0.9.90-1/src/translations/qjackctl_nl.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_nl.ts	2024-04-29 17:09:32.736255176 +0000
@@ -115,7 +115,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation type="unfinished"></translation>
     </message>
@@ -488,13 +488,13 @@ Bent u zeker?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation type="unfinished"></translation>
     </message>
@@ -522,608 +522,701 @@ Bent u zeker?</translation>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Geen</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation type="unfinished">&amp;Herstel</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation type="unfinished">Over Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_pt_BR.ts 0.9.91-1/src/translations/qjackctl_pt_BR.ts
--- 0.9.90-1/src/translations/qjackctl_pt_BR.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_pt_BR.ts	2024-04-29 17:09:32.736255176 +0000
@@ -115,7 +115,7 @@
         <translation>Mover</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Renomear</translation>
     </message>
@@ -479,13 +479,13 @@ Tem certeza?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Disconnectar</translation>
     </message>
@@ -513,608 +513,701 @@ Tem certeza?</translation>
         <translation>&amp;Visualizar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>Co&amp;res</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>C&amp;lassificar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Ajuda</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Conectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Conectar portas selecionadas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Desconectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Desconectar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Desconectar portas selecionadas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation>Ctrl+C</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation>M&amp;iniatura</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation>Ctrl+D</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>Fe&amp;char</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Fechar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Feche esta janela da aplicação</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Selecionar &amp;Tudo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Selecionar Tudo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Selecionar &amp;Nenhum</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Selecionar Nenhum</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Selecionar &amp;Inverter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Selecionar Inverter</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Renomear...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Renomear item</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Renomear Item</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>&amp;Barra de menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Barra de menu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Mostrar/ocultar a barra de menus da janela principal do programa</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>&amp;Barra de ferramentas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Barra de ferramentas</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Mostrar/ocultar a barra de ferramentas do arquivo da janela principal do programa</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>&amp;Barra de status</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Barra de status</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Mostrar/ocultar a barra de status da janela principal do programa</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation>&amp;Superior Esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation>Superior esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation>Mostrar a visão geral das miniaturas no canto superior esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation>Superior &amp;Direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation>Superior Direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation>Mostrar a visão geral das miniaturas no canto superior direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation>Inferior &amp;Esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation>Inferior Esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation>Inferior Esquedo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation>Mostrar a visão geral das miniaturas no canto inferior esquerdo</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation>&amp;Inferior Direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation>Inferior Direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation>Mostrar a visão geral das miniaturas no canto inferior direito</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation>&amp;Nenhum</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation>Nenhum</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation>Esconder miniaturas</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation>Ocultar a visão geral das miniaturas</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Texto ao lado de &amp;ícones</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Texto ao lado de ícones</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Mostrar/ocultar texto ao lado de ícones</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Centro</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Visão central</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Atualizar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Atualizar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Atualizar visualização</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>Ampli&amp;ar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Ampliar</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>Diminu&amp;ir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Diminuir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Ajuste de &amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Ajuste de Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Redefinir &amp;Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Redefinir Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>&amp;Alcance de Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Alcance de Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;áudio...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>Cor JACK Áudio</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>Cor de JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>Cor ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>Cor JACK CV</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>Cor JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Redefinir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Redefinir cores</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>&amp;Nome da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Nome da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Classificar por nome de porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp; Título da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Título da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Classificar por título da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>&amp; Índice da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Índice da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Classificar por índice da porta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>&amp;Ascendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Ascendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Classificar por ordem ascendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;Descendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Descendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Classificar por ordem descendente</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Repelir Nós S&amp;obrepostos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Repelir nós</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Repelir nós sobrepostos</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>Conecte-se A&amp;través de nós</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>Conecte-se Através de Nós</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>Conecte-se através de nós</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Desenhar conectores através ou ao redor dos nós</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>Sobre...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>Sobre...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>Sobre...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Mostrar informações sobre este aplicativo</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>Sobre &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Sobre Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Sobre Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Mostrar informações sobre as ferramentas do Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Desfazer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Refazer</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Desfazer última ação</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Refazer última ação</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Zoom</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Pronto</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Cores - %1</translation>
     </message>
@@ -2411,7 +2504,7 @@ Foi desabilitado.</translation>
     <message>
         <location filename="../qjackctlPaletteForm.cpp" line="258"/>
         <source>Save Palette - %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Salvar Paleta - %1</translation>
     </message>
     <message>
         <location filename="../qjackctlPaletteForm.cpp" line="261"/>
diff -pruN 0.9.90-1/src/translations/qjackctl_ru.ts 0.9.91-1/src/translations/qjackctl_ru.ts
--- 0.9.90-1/src/translations/qjackctl_ru.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_ru.ts	2024-04-29 17:09:32.736255176 +0000
@@ -115,7 +115,7 @@
         <translation>Переместить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Переименовать</translation>
     </message>
@@ -480,13 +480,13 @@ Вы уверены?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Соединить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Отсоединить</translation>
     </message>
@@ -514,608 +514,701 @@ Вы уверены?</translation>
         <translation>&amp;Вид</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>&amp;Цвета</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>&amp;Сортировка</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Справка</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Соединить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Соединить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Соединить выбранные порты</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>О&amp;тсоединить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Отсоединить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Рассоединить выбранные порты</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>&amp;Закрыть</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Закрыть</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Закрыть это окно приложения</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Выбрать &amp;все</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Выбрать все</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Снять в&amp;ыделение</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Снять выделение</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>&amp;Инвертировать выделение</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Инвертировать выделение</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>Пере&amp;именовать...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Переименовать объект</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Переименовать объект</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Панель &amp;меню</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Панель меню</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Показать/скрыть панель меню программы</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Панель &amp;инструментов</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Панель инструментов</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Показать/скрыть панель инструментов программы</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>&amp;Статусная строка</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Статусная строка</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Показать/скрыть статусную строку программы</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Нет</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Текст &amp;рядом с иконками</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Текст рядом с иконками</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Показывать или скрывать текст рядом с иконками</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Центрировать</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Центрировать</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Центрировать вид</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>О&amp;бновить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Обновить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Обновить вид</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>&amp;Приблизить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Приблизить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>От&amp;далить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Отдалить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Уместить вс&amp;ё в окне</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Уместить всё в окне</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Сбросить &amp;масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Сбросить масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>Приблизить в&amp;ыделенное</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Приблизить выделенное</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>С&amp;бросить</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Сбросить цвета</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>По &amp;названию порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Название порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Сортировать по названию порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>По &amp;заголовку порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>По заголовку порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Сортировать по заголовку порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>По &amp;индексу порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>По индексу порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Сортировать по индексу порта</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>По &amp;нарастанию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>По нарастанию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Порядок сортировки по нарастанию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>По &amp;убыванию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>По убыванию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Порядок сортировки по убыванию</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;О программе...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>О программе...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>О программе</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Показать ифнормацию об этой программе</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>О &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>О Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>О Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Показать информацию о тулките Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Отмена</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Возврат</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Отменить последнее действие</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Выернуть последнее действие</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_sk.ts 0.9.91-1/src/translations/qjackctl_sk.ts
--- 0.9.90-1/src/translations/qjackctl_sk.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_sk.ts	2024-04-29 17:09:32.737255176 +0000
@@ -115,7 +115,7 @@
         <translation>Presunúť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Premenovať</translation>
     </message>
@@ -479,13 +479,13 @@ Ste si istý?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Spojiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Rozpojiť</translation>
     </message>
@@ -513,608 +513,701 @@ Ste si istý?</translation>
         <translation>&amp;Pohľad</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Zväčšenie</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>&amp;Farby</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>&amp;Triediť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>Po&amp;mocník</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Spojenie</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Spojiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Spojiť vybraté prípojky</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Odpojiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Odpojiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Odpojiť vybraté prípojky</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>&amp;Zavrieť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Zavrieť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Zavrieť okno tohto programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Vybrať &amp;všetko</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Vybrat všetko</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Nevybrať &amp;nič</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Nevybrať nič</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Otočiť &amp;výber</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Otočiť výber</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Premenovať...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Premenovať položku</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Premenovať položku</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>&amp;Ponuková lišta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Ponuková lišta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Zobraziť/skryť hlavné okno programu s ponukovou lištou</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>&amp;Nástrojová lišta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Nástrojová lišta</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Zobraziť/skryť hlavné okno programu s nástrojovou lištou</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>&amp;Stavový riadok</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Stavový riadok</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Zobraziť/skryť stavový riadok hlavného okna programu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Žiadny</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Text &amp;vedľa ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Text vedľa ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Zobraziť/skryť text vedľa ikon</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Centrovať</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Centrovať</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Centrovať pohľad</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Obnoviť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Obnoviť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Obnoviť pohľad</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>&amp;Priblížiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Priblížiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>&amp;Oddialiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Oddialiť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>&amp;Prispôsobiť oknu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Prispôsobiť oknu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Použiť &amp;predvolené zväčšenie</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Použiť predvolené zväčšenie</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>Rozsah &amp;zväčšenia</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Rozsah zväčšenia</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;Audio...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>Farba JACK Audio</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>Farba JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>Farba ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>Farba JACK CV</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>Farba JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Obnoviť predvolené</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Obnoviť predvolené farby</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>&amp;Názov prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Názov prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Triediť podľa názvu prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp;Názov prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Názov prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Triediť podľa názvu prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>Čí&amp;slo prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Číslo prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Triediť podľa čísla prípojky (port)</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>&amp;Vzostupne</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Vzostupne</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Vzostupné poradie triedenia</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;Zostupne</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Zostupne</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Zostupné poradie triedenia</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;O programe...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>O programe...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>O programe</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Zobraziť informácie o tomto programe</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>O &amp;Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>O Qt...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>O Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Zobraziť informácie o sade nástrojov prostredia Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Späť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Znova</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Vrátiť poslednú úpravu späť</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Vykonať poslednú upravu znova</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Zväčšenie</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Pripravený</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Farby - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_tr.ts 0.9.91-1/src/translations/qjackctl_tr.ts
--- 0.9.90-1/src/translations/qjackctl_tr.ts	2024-04-08 09:37:38.809678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_tr.ts	2024-04-29 17:09:32.737255176 +0000
@@ -115,7 +115,7 @@
         <translation>Taşı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Yeniden adlandır</translation>
     </message>
@@ -479,13 +479,13 @@ Emin misin?</translation>
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>Bağlan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Bağlantıyı Kes</translation>
     </message>
@@ -513,609 +513,702 @@ Emin misin?</translation>
         <translation>&amp;Görünüm</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>&amp;Yakınlaştır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>&amp;Renkler</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>&amp;Sırala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>Y&amp;ardım</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;Bağlan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>Bağlan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>Seçilen bağlantı noktalarını bağlayın</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Bağlantıyı Kes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Bağlantıyı Kes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Seçili bağlantı noktalarının bağlantısını kes</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation>Ctrl+C</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation>Ctrl+D</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>&amp;Kapat</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Kapat</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Bu uygulama penceresini kapat</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Hepsini &amp;seç</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Hepsini seç</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>Hi&amp;çbirini Seçme</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Hiçbirini Seçme</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>Seçimi &amp;Çevir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Seçimi Çevir</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translatorcomment>Ctrl+I</translatorcomment>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>Y&amp;eniden adladır...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Öğeyi yeniden adlandır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Öğeyi yeniden adlandır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>&amp;Menü çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Menü Çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Ana program penceresi menü çubuğunu göster/gizle</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Araç &amp;çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Araç çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Ana program penceresi araç çubuğunu göster/gizle</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>&amp;Durum çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Durum çubuğu</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Ana program penceresi durum çubuğunu göster/gizle</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Hiçbiri</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>&amp;Simgeler Metnin Yanında</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Simgelerin metnin yanında</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Simgelerin yanındaki metni göster/gizle</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Ortala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Ortala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Orta görünüm</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Yenile</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Yenile</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Görünümü yenile</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>&amp;Yakınlaş</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Yakınlaş</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>Uzak&amp;klaş</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Uzaklaş</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Sığ&amp;dır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Sığdır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Yakınlaştırmayı sı&amp;fırla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Yakınlaştırmayı Sıfırla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>Seçili Alan&amp;ı Yalınlaştır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Yakınlaştırma Oranı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>JACK &amp;Ses...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>JACK Ses rengi</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>JACK MIDI rengi</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>ALSA MIDI rengi</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>JACK CV rengi</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>JACK OSC rengi</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Sıfırla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Renkleri sıfırla</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>Bağlantı Noktası &amp;Adı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Bağlantı Noktası Adı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Bağlantı noktası adına göre sırala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>Bağlantı Noktası &amp;Başlığı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Bağlantı Noktası Başlığı</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Bağlantı Noktası Başığına Göre Sırala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>Bağlantı Nokt&amp;ası Dizini</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Bağlantı Noktası Dizini</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Bağlantı noktası dizinine göre sırala</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>A&amp;rtan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>Artan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Artan sıralama düzeni</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>A&amp;zalan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>Azalan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Azalan sıralama düzeni</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Çakışan Düğ&amp;ümleri Reddet</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Reddedilen düğümler</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Çakışan Düğümleri Reddet</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>Düğümler Aracılığıyla Bağla&amp;n</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>Düğümler Aracılığıyla Bağlan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>Düğümler aracılığıyla bağlan</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Bağlayıcıların düğümlerin içinden mi yoksa çevresinden mi çizileceği</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>&amp;Hakkında...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>Hakkında...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>HAkkında</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Bu program hakkındaki bilgileri göster</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>&amp;QT Hakkında...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Qt Hakkında...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Qt Hakkında</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Qt araç seti hakkındaki bilgileri göster</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Geri Al</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Yeniden Yap</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Son düzenleme işlemini geri al</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Son düzenleme eylemini yeniden yap</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Yakınlaştır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Hazır</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Renkler - %1</translation>
     </message>
diff -pruN 0.9.90-1/src/translations/qjackctl_uk.ts 0.9.91-1/src/translations/qjackctl_uk.ts
--- 0.9.90-1/src/translations/qjackctl_uk.ts	2024-04-08 09:37:38.810678963 +0000
+++ 0.9.91-1/src/translations/qjackctl_uk.ts	2024-04-29 17:09:32.737255176 +0000
@@ -32,7 +32,7 @@
         <translation>Пересунути</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphCommand.cpp" line="216"/>
+        <location filename="../qjackctlGraphCommand.cpp" line="217"/>
         <source>Rename</source>
         <translation>Перейменувати</translation>
     </message>
@@ -478,13 +478,13 @@ Ви хочете саме цього?</
 <context>
     <name>qjackctlGraphCanvas</name>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="1876"/>
-        <location filename="../qjackctlGraph.cpp" line="2009"/>
+        <location filename="../qjackctlGraph.cpp" line="1889"/>
+        <location filename="../qjackctlGraph.cpp" line="2023"/>
         <source>Connect</source>
         <translation>З&apos;єднати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraph.cpp" line="2081"/>
+        <location filename="../qjackctlGraph.cpp" line="2095"/>
         <source>Disconnect</source>
         <translation>Від’єднати</translation>
     </message>
@@ -512,608 +512,701 @@ Ви хочете саме цього?</
         <translation>П&amp;ерегляд</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <location filename="../qjackctlGraphForm.ui" line="97"/>
         <source>&amp;Zoom</source>
         <translation>Змінити &amp;масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="99"/>
+        <location filename="../qjackctlGraphForm.ui" line="110"/>
         <source>Co&amp;lors</source>
         <translation>&amp;Кольори</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="111"/>
+        <location filename="../qjackctlGraphForm.ui" line="122"/>
         <source>S&amp;ort</source>
         <translation>К&amp;ритерій упорядкування</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="139"/>
+        <location filename="../qjackctlGraphForm.ui" line="152"/>
         <source>&amp;Help</source>
         <translation>&amp;Довідка</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="187"/>
+        <location filename="../qjackctlGraphForm.ui" line="200"/>
         <source>&amp;Connect</source>
         <translation>&amp;З&apos;єднати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="190"/>
-        <location filename="../qjackctlGraphForm.ui" line="193"/>
+        <location filename="../qjackctlGraphForm.ui" line="203"/>
+        <location filename="../qjackctlGraphForm.ui" line="206"/>
         <source>Connect</source>
         <translation>З&apos;єднати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="196"/>
+        <location filename="../qjackctlGraphForm.ui" line="209"/>
         <source>Connect selected ports</source>
         <translation>З&apos;єднати позначені порти</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="207"/>
+        <location filename="../qjackctlGraphForm.ui" line="220"/>
         <source>&amp;Disconnect</source>
         <translation>&amp;Роз&apos;єднати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="210"/>
-        <location filename="../qjackctlGraphForm.ui" line="213"/>
+        <location filename="../qjackctlGraphForm.ui" line="223"/>
+        <location filename="../qjackctlGraphForm.ui" line="226"/>
         <source>Disconnect</source>
         <translation>Від’єднати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="216"/>
+        <location filename="../qjackctlGraphForm.ui" line="229"/>
         <source>Disconnect selected ports</source>
         <translation>Роз&apos;єднати позначені порти</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="199"/>
+        <location filename="../qjackctlGraphForm.ui" line="212"/>
         <source>Ctrl+C</source>
         <translation>Ctrl+C</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="219"/>
+        <location filename="../qjackctlGraphForm.ui" line="86"/>
+        <source>T&amp;humbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="232"/>
         <source>Ctrl+D</source>
         <translation>Ctrl+D</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="224"/>
+        <location filename="../qjackctlGraphForm.ui" line="237"/>
         <source>Cl&amp;ose</source>
         <translation>З&amp;акрити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="227"/>
-        <location filename="../qjackctlGraphForm.ui" line="230"/>
+        <location filename="../qjackctlGraphForm.ui" line="240"/>
+        <location filename="../qjackctlGraphForm.ui" line="243"/>
         <source>Close</source>
         <translation>Закрити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="233"/>
+        <location filename="../qjackctlGraphForm.ui" line="246"/>
         <source>Close this application window</source>
         <translation>Закрити це вікно програми</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="241"/>
+        <location filename="../qjackctlGraphForm.ui" line="254"/>
         <source>Select &amp;All</source>
         <translation>Позна&amp;чити все</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="244"/>
-        <location filename="../qjackctlGraphForm.ui" line="247"/>
-        <location filename="../qjackctlGraphForm.ui" line="250"/>
+        <location filename="../qjackctlGraphForm.ui" line="257"/>
+        <location filename="../qjackctlGraphForm.ui" line="260"/>
+        <location filename="../qjackctlGraphForm.ui" line="263"/>
         <source>Select All</source>
         <translation>Позначити все</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="253"/>
+        <location filename="../qjackctlGraphForm.ui" line="266"/>
         <source>Ctrl+A</source>
         <translation>Ctrl+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="258"/>
+        <location filename="../qjackctlGraphForm.ui" line="271"/>
         <source>Select &amp;None</source>
         <translation>З&amp;няти позначення</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="261"/>
-        <location filename="../qjackctlGraphForm.ui" line="264"/>
-        <location filename="../qjackctlGraphForm.ui" line="267"/>
+        <location filename="../qjackctlGraphForm.ui" line="274"/>
+        <location filename="../qjackctlGraphForm.ui" line="277"/>
+        <location filename="../qjackctlGraphForm.ui" line="280"/>
         <source>Select None</source>
         <translation>Зняти позначення</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="270"/>
+        <location filename="../qjackctlGraphForm.ui" line="283"/>
         <source>Ctrl+Shift+A</source>
         <translation>Ctrl+Shift+A</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="275"/>
+        <location filename="../qjackctlGraphForm.ui" line="288"/>
         <source>Select &amp;Invert</source>
         <translation>&amp;Інвертувати позначення</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="278"/>
-        <location filename="../qjackctlGraphForm.ui" line="281"/>
-        <location filename="../qjackctlGraphForm.ui" line="284"/>
+        <location filename="../qjackctlGraphForm.ui" line="291"/>
+        <location filename="../qjackctlGraphForm.ui" line="294"/>
+        <location filename="../qjackctlGraphForm.ui" line="297"/>
         <source>Select Invert</source>
         <translation>Інвертувати позначення</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="287"/>
+        <location filename="../qjackctlGraphForm.ui" line="300"/>
         <source>Ctrl+I</source>
         <translation>Ctrl+I</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="295"/>
+        <location filename="../qjackctlGraphForm.ui" line="308"/>
         <source>&amp;Rename...</source>
         <translation>&amp;Перейменувати…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="298"/>
+        <location filename="../qjackctlGraphForm.ui" line="311"/>
         <source>Rename item</source>
         <translation>Перейменувати запис</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="301"/>
-        <location filename="../qjackctlGraphForm.ui" line="304"/>
+        <location filename="../qjackctlGraphForm.ui" line="314"/>
+        <location filename="../qjackctlGraphForm.ui" line="317"/>
         <source>Rename Item</source>
         <translation>Перейменувати запис</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="307"/>
+        <location filename="../qjackctlGraphForm.ui" line="320"/>
         <source>F2</source>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="315"/>
+        <location filename="../qjackctlGraphForm.ui" line="328"/>
         <source>&amp;Menubar</source>
         <translation>Панель &amp;меню</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="318"/>
-        <location filename="../qjackctlGraphForm.ui" line="321"/>
+        <location filename="../qjackctlGraphForm.ui" line="331"/>
+        <location filename="../qjackctlGraphForm.ui" line="334"/>
         <source>Menubar</source>
         <translation>Панель меню</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="324"/>
+        <location filename="../qjackctlGraphForm.ui" line="337"/>
         <source>Show/hide the main program window menubar</source>
         <translation>Показати або приховати панель меню головного вікна програми</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="327"/>
+        <location filename="../qjackctlGraphForm.ui" line="340"/>
         <source>Ctrl+M</source>
         <translation>Ctrl+M</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="335"/>
+        <location filename="../qjackctlGraphForm.ui" line="348"/>
         <source>&amp;Toolbar</source>
         <translation>Па&amp;нель інструментів</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="338"/>
-        <location filename="../qjackctlGraphForm.ui" line="341"/>
+        <location filename="../qjackctlGraphForm.ui" line="351"/>
+        <location filename="../qjackctlGraphForm.ui" line="354"/>
         <source>Toolbar</source>
         <translation>Панель інструментів</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="344"/>
+        <location filename="../qjackctlGraphForm.ui" line="357"/>
         <source>Show/hide main program window file toolbar</source>
         <translation>Показати або приховати панель інструментів головного вікна програми</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="352"/>
+        <location filename="../qjackctlGraphForm.ui" line="365"/>
         <source>&amp;Statusbar</source>
         <translation>С&amp;мужка стану</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="355"/>
-        <location filename="../qjackctlGraphForm.ui" line="358"/>
+        <location filename="../qjackctlGraphForm.ui" line="368"/>
+        <location filename="../qjackctlGraphForm.ui" line="371"/>
         <source>Statusbar</source>
         <translation>Смужка стану</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="361"/>
+        <location filename="../qjackctlGraphForm.ui" line="374"/>
         <source>Show/hide the main program window statusbar</source>
         <translation>Показати або приховати смужку стану головного вікна програми</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="372"/>
+        <location filename="../qjackctlGraphForm.ui" line="385"/>
+        <source>&amp;Top Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="388"/>
+        <location filename="../qjackctlGraphForm.ui" line="391"/>
+        <source>Top left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="394"/>
+        <source>Show the thumbnail overview on the top-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="405"/>
+        <source>Top &amp;Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="408"/>
+        <location filename="../qjackctlGraphForm.ui" line="411"/>
+        <source>Top right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="414"/>
+        <source>Show the thumbnail overview on the top-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="425"/>
+        <source>Bottom &amp;Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="428"/>
+        <source>Bottom Left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="431"/>
+        <source>Bottom left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="434"/>
+        <source>Show the thumbnail overview on the bottom-left</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="445"/>
+        <source>&amp;Bottom Right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="448"/>
+        <location filename="../qjackctlGraphForm.ui" line="451"/>
+        <source>Bottom right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="454"/>
+        <source>Show the thumbnail overview on the bottom-right</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="465"/>
+        <source>&amp;None</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="468"/>
+        <source>None</source>
+        <translation type="unfinished">Немає</translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="471"/>
+        <source>Hide thumbview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="474"/>
+        <source>Hide the thumbnail overview</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../qjackctlGraphForm.ui" line="485"/>
         <source>Text Beside &amp;Icons</source>
         <translation>Текст поруч з пі&amp;ктограмами</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="375"/>
-        <location filename="../qjackctlGraphForm.ui" line="378"/>
+        <location filename="../qjackctlGraphForm.ui" line="488"/>
+        <location filename="../qjackctlGraphForm.ui" line="491"/>
         <source>Text beside icons</source>
         <translation>Текст поруч зі значками</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="381"/>
+        <location filename="../qjackctlGraphForm.ui" line="494"/>
         <source>Show/hide text beside icons</source>
         <translation>Показати або приховати текст поруч із піктограмами</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="389"/>
+        <location filename="../qjackctlGraphForm.ui" line="502"/>
         <source>&amp;Center</source>
         <translation>&amp;Центрувати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="392"/>
-        <location filename="../qjackctlGraphForm.ui" line="395"/>
+        <location filename="../qjackctlGraphForm.ui" line="505"/>
+        <location filename="../qjackctlGraphForm.ui" line="508"/>
         <source>Center</source>
         <translation>Центрувати</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="398"/>
+        <location filename="../qjackctlGraphForm.ui" line="511"/>
         <source>Center view</source>
         <translation>Центрування перегляду</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="406"/>
+        <location filename="../qjackctlGraphForm.ui" line="519"/>
         <source>&amp;Refresh</source>
         <translation>&amp;Оновити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="409"/>
-        <location filename="../qjackctlGraphForm.ui" line="412"/>
+        <location filename="../qjackctlGraphForm.ui" line="522"/>
+        <location filename="../qjackctlGraphForm.ui" line="525"/>
         <source>Refresh</source>
         <translation>Оновити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="415"/>
+        <location filename="../qjackctlGraphForm.ui" line="528"/>
         <source>Refresh view</source>
         <translation>Оновити перегляд</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="418"/>
+        <location filename="../qjackctlGraphForm.ui" line="531"/>
         <source>F5</source>
         <translation>F5</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="426"/>
+        <location filename="../qjackctlGraphForm.ui" line="539"/>
         <source>Zoom &amp;In</source>
         <translation>З&amp;більшити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="429"/>
-        <location filename="../qjackctlGraphForm.ui" line="432"/>
-        <location filename="../qjackctlGraphForm.ui" line="435"/>
+        <location filename="../qjackctlGraphForm.ui" line="542"/>
+        <location filename="../qjackctlGraphForm.ui" line="545"/>
+        <location filename="../qjackctlGraphForm.ui" line="548"/>
         <source>Zoom In</source>
         <translation>Збільшити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="438"/>
+        <location filename="../qjackctlGraphForm.ui" line="551"/>
         <source>Ctrl++</source>
         <translation>Ctrl++</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="446"/>
+        <location filename="../qjackctlGraphForm.ui" line="559"/>
         <source>Zoom &amp;Out</source>
         <translation>З&amp;меншити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="449"/>
-        <location filename="../qjackctlGraphForm.ui" line="452"/>
-        <location filename="../qjackctlGraphForm.ui" line="455"/>
+        <location filename="../qjackctlGraphForm.ui" line="562"/>
+        <location filename="../qjackctlGraphForm.ui" line="565"/>
+        <location filename="../qjackctlGraphForm.ui" line="568"/>
         <source>Zoom Out</source>
         <translation>Зменшити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="458"/>
+        <location filename="../qjackctlGraphForm.ui" line="571"/>
         <source>Ctrl+-</source>
         <translation>Ctrl+-</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="466"/>
+        <location filename="../qjackctlGraphForm.ui" line="579"/>
         <source>Zoom &amp;Fit</source>
         <translation>Підібрати за роз&amp;мірами</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="469"/>
-        <location filename="../qjackctlGraphForm.ui" line="472"/>
-        <location filename="../qjackctlGraphForm.ui" line="475"/>
+        <location filename="../qjackctlGraphForm.ui" line="582"/>
+        <location filename="../qjackctlGraphForm.ui" line="585"/>
+        <location filename="../qjackctlGraphForm.ui" line="588"/>
         <source>Zoom Fit</source>
         <translation>Підібрати за розмірами</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="478"/>
+        <location filename="../qjackctlGraphForm.ui" line="591"/>
         <source>Ctrl+0</source>
         <translation>Ctrl+0</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="486"/>
+        <location filename="../qjackctlGraphForm.ui" line="599"/>
         <source>Zoom &amp;Reset</source>
         <translation>Відновити по&amp;чатковий масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="489"/>
-        <location filename="../qjackctlGraphForm.ui" line="492"/>
-        <location filename="../qjackctlGraphForm.ui" line="495"/>
+        <location filename="../qjackctlGraphForm.ui" line="602"/>
+        <location filename="../qjackctlGraphForm.ui" line="605"/>
+        <location filename="../qjackctlGraphForm.ui" line="608"/>
         <source>Zoom Reset</source>
         <translation>Відновити початковий масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="498"/>
+        <location filename="../qjackctlGraphForm.ui" line="611"/>
         <source>Ctrl+1</source>
         <translation>Ctrl+1</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="509"/>
+        <location filename="../qjackctlGraphForm.ui" line="622"/>
         <source>&amp;Zoom Range</source>
         <translation>&amp;Масштабувати за діапазоном</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="512"/>
-        <location filename="../qjackctlGraphForm.ui" line="515"/>
-        <location filename="../qjackctlGraphForm.ui" line="518"/>
+        <location filename="../qjackctlGraphForm.ui" line="625"/>
+        <location filename="../qjackctlGraphForm.ui" line="628"/>
+        <location filename="../qjackctlGraphForm.ui" line="631"/>
         <source>Zoom Range</source>
         <translation>Масштабувати за діапазоном</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="526"/>
+        <location filename="../qjackctlGraphForm.ui" line="639"/>
         <source>JACK &amp;Audio...</source>
         <translation>Зв&amp;ук Jack…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="529"/>
-        <location filename="../qjackctlGraphForm.ui" line="532"/>
-        <location filename="../qjackctlGraphForm.ui" line="535"/>
+        <location filename="../qjackctlGraphForm.ui" line="642"/>
+        <location filename="../qjackctlGraphForm.ui" line="645"/>
+        <location filename="../qjackctlGraphForm.ui" line="648"/>
         <source>JACK Audio color</source>
         <translation>Колір звуку JACK</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="543"/>
+        <location filename="../qjackctlGraphForm.ui" line="656"/>
         <source>JACK &amp;MIDI...</source>
         <translation>JACK &amp;MIDI…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="546"/>
+        <location filename="../qjackctlGraphForm.ui" line="659"/>
         <source>JACK MIDI</source>
         <translation>JACK MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="549"/>
-        <location filename="../qjackctlGraphForm.ui" line="552"/>
+        <location filename="../qjackctlGraphForm.ui" line="662"/>
+        <location filename="../qjackctlGraphForm.ui" line="665"/>
         <source>JACK MIDI color</source>
         <translation>Колір MIDI JACK</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="560"/>
+        <location filename="../qjackctlGraphForm.ui" line="673"/>
         <source>ALSA M&amp;IDI...</source>
         <translation>ALSA M&amp;IDI...</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="563"/>
+        <location filename="../qjackctlGraphForm.ui" line="676"/>
         <source>ALSA MIDI</source>
         <translation>ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="566"/>
-        <location filename="../qjackctlGraphForm.ui" line="569"/>
+        <location filename="../qjackctlGraphForm.ui" line="679"/>
+        <location filename="../qjackctlGraphForm.ui" line="682"/>
         <source>ALSA MIDI color</source>
         <translation>Колір ALSA MIDI</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="577"/>
+        <location filename="../qjackctlGraphForm.ui" line="690"/>
         <source>JACK &amp;CV...</source>
         <translation>JACK &amp;CV…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="580"/>
-        <location filename="../qjackctlGraphForm.ui" line="583"/>
-        <location filename="../qjackctlGraphForm.ui" line="586"/>
+        <location filename="../qjackctlGraphForm.ui" line="693"/>
+        <location filename="../qjackctlGraphForm.ui" line="696"/>
+        <location filename="../qjackctlGraphForm.ui" line="699"/>
         <source>JACK CV color</source>
         <translation>Колір JACK CV</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="594"/>
+        <location filename="../qjackctlGraphForm.ui" line="707"/>
         <source>JACK &amp;OSC...</source>
         <translation>JACK &amp;OSC…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="597"/>
+        <location filename="../qjackctlGraphForm.ui" line="710"/>
         <source>JACK OSC</source>
         <translation>JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="600"/>
-        <location filename="../qjackctlGraphForm.ui" line="603"/>
+        <location filename="../qjackctlGraphForm.ui" line="713"/>
+        <location filename="../qjackctlGraphForm.ui" line="716"/>
         <source>JACK OSC color</source>
         <translation>Колір JACK OSC</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="611"/>
+        <location filename="../qjackctlGraphForm.ui" line="724"/>
         <source>&amp;Reset</source>
         <translation>&amp;Скинути</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="614"/>
-        <location filename="../qjackctlGraphForm.ui" line="617"/>
-        <location filename="../qjackctlGraphForm.ui" line="620"/>
+        <location filename="../qjackctlGraphForm.ui" line="727"/>
+        <location filename="../qjackctlGraphForm.ui" line="730"/>
+        <location filename="../qjackctlGraphForm.ui" line="733"/>
         <source>Reset colors</source>
         <translation>Відновити типові кольори</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="631"/>
+        <location filename="../qjackctlGraphForm.ui" line="744"/>
         <source>Port &amp;Name</source>
         <translation>Назва &amp;порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="634"/>
+        <location filename="../qjackctlGraphForm.ui" line="747"/>
         <source>Port name</source>
         <translation>Назва порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="637"/>
+        <location filename="../qjackctlGraphForm.ui" line="750"/>
         <source>Sort by port name</source>
         <translation>Упорядкувати за назвою порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="648"/>
+        <location filename="../qjackctlGraphForm.ui" line="761"/>
         <source>Port &amp;Title</source>
         <translation>&amp;Назва порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="651"/>
+        <location filename="../qjackctlGraphForm.ui" line="764"/>
         <source>Port title</source>
         <translation>Назва порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="654"/>
+        <location filename="../qjackctlGraphForm.ui" line="767"/>
         <source>Sort by port title</source>
         <translation>Упорядкувати за назвою порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="665"/>
+        <location filename="../qjackctlGraphForm.ui" line="778"/>
         <source>Port &amp;Index</source>
         <translation>&amp;Індекс порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="668"/>
+        <location filename="../qjackctlGraphForm.ui" line="781"/>
         <source>Port index</source>
         <translation>Індекс порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="671"/>
+        <location filename="../qjackctlGraphForm.ui" line="784"/>
         <source>Sort by port index</source>
         <translation>Упорядкувати за індексом порту</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="682"/>
+        <location filename="../qjackctlGraphForm.ui" line="795"/>
         <source>&amp;Ascending</source>
         <translation>За з&amp;ростанням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="685"/>
+        <location filename="../qjackctlGraphForm.ui" line="798"/>
         <source>Ascending</source>
         <translation>За зростанням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="688"/>
+        <location filename="../qjackctlGraphForm.ui" line="801"/>
         <source>Ascending sort order</source>
         <translation>Упорядкувати за зростанням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="699"/>
+        <location filename="../qjackctlGraphForm.ui" line="812"/>
         <source>&amp;Descending</source>
         <translation>&amp;За спаданням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="702"/>
+        <location filename="../qjackctlGraphForm.ui" line="815"/>
         <source>Descending</source>
         <translation>За спаданням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="705"/>
+        <location filename="../qjackctlGraphForm.ui" line="818"/>
         <source>Descending sort order</source>
         <translation>Упорядкувати за спаданням</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="716"/>
+        <location filename="../qjackctlGraphForm.ui" line="829"/>
         <source>Repel O&amp;verlapping Nodes</source>
         <translation>Від&amp;кинути вузли з перекриттям</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="719"/>
+        <location filename="../qjackctlGraphForm.ui" line="832"/>
         <source>Repel nodes</source>
         <translation>Відкинути вузли</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="722"/>
-        <location filename="../qjackctlGraphForm.ui" line="725"/>
+        <location filename="../qjackctlGraphForm.ui" line="835"/>
+        <location filename="../qjackctlGraphForm.ui" line="838"/>
         <source>Repel overlapping nodes</source>
         <translation>Відкинути вузли з перекриттям</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="736"/>
+        <location filename="../qjackctlGraphForm.ui" line="849"/>
         <source>Connect Thro&amp;ugh Nodes</source>
         <translation>З&apos;єднати &amp;через вузли</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="739"/>
+        <location filename="../qjackctlGraphForm.ui" line="852"/>
         <source>Connect Through Nodes</source>
         <translation>З&apos;єднати через вузли</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="742"/>
+        <location filename="../qjackctlGraphForm.ui" line="855"/>
         <source>Connect through nodes</source>
         <translation>З&apos;єднати через вузли</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="745"/>
+        <location filename="../qjackctlGraphForm.ui" line="858"/>
         <source>Whether to draw connectors through or around nodes</source>
         <translation>Визначає, слід малювати з&apos;єднання через вузли чи навколо вузлів</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="753"/>
+        <location filename="../qjackctlGraphForm.ui" line="866"/>
         <source>&amp;About...</source>
         <translation>П&amp;ро програму…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="756"/>
+        <location filename="../qjackctlGraphForm.ui" line="869"/>
         <source>About...</source>
         <translation>Про програму…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="759"/>
+        <location filename="../qjackctlGraphForm.ui" line="872"/>
         <source>About</source>
         <translation>Про програму</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="762"/>
+        <location filename="../qjackctlGraphForm.ui" line="875"/>
         <source>Show information about this application program</source>
         <translation>Показати відомості щодо цієї програми</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="770"/>
+        <location filename="../qjackctlGraphForm.ui" line="883"/>
         <source>About &amp;Qt...</source>
         <translation>П&amp;ро Qt…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="773"/>
+        <location filename="../qjackctlGraphForm.ui" line="886"/>
         <source>About Qt...</source>
         <translation>Про Qt…</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="776"/>
+        <location filename="../qjackctlGraphForm.ui" line="889"/>
         <source>About Qt</source>
         <translation>Про Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.ui" line="779"/>
+        <location filename="../qjackctlGraphForm.ui" line="892"/>
         <source>Show information about the Qt toolkit</source>
         <translation>Показати відомості щодо набору інструментів Qt</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="99"/>
+        <location filename="../qjackctlGraphForm.cpp" line="102"/>
         <source>&amp;Undo</source>
         <translation>&amp;Вернути</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="101"/>
+        <location filename="../qjackctlGraphForm.cpp" line="104"/>
         <source>Undo last edit action</source>
         <translation>Скасувати останню дію з редагування</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="104"/>
+        <location filename="../qjackctlGraphForm.cpp" line="107"/>
         <source>&amp;Redo</source>
         <translation>&amp;Повторити</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="106"/>
+        <location filename="../qjackctlGraphForm.cpp" line="109"/>
         <source>Redo last edit action</source>
         <translation>Повторити останню скасовану дію з редагування</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="122"/>
+        <location filename="../qjackctlGraphForm.cpp" line="125"/>
         <source>Zoom</source>
         <translation>Масштаб</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="463"/>
+        <location filename="../qjackctlGraphForm.cpp" line="524"/>
         <source>Ready</source>
         <translation>Готово</translation>
     </message>
     <message>
-        <location filename="../qjackctlGraphForm.cpp" line="540"/>
+        <location filename="../qjackctlGraphForm.cpp" line="642"/>
         <source>Colors - %1</source>
         <translation>Кольори – %1</translation>
     </message>
